## pilkit 1.1.13%2Bdfsg

=== debian/changelog ===
pilkit (1.1.13+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #807333).
  * Exclude lenna image from tests due to copyright, repacking source for
    DFSG.
  * Exclude Python byte code files in test suite from source tarball.
  * Add reference.png from libav sources as a replacement for lenna image.

 -- Michael Fladischer <fladi@debian.org>  Sun, 07 Feb 2016 09:54:11 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pilkit

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
	cp debian/reference.png tests/assets/reference.png
	dh_auto_build

## pilkit 1.1.13+dfsg

=== debian/changelog ===
pilkit (1.1.13+dfsg-2) unstable; urgency=low

  [ Ondřej Nový ]
  * Fixed VCS URL

  [ Michael Fladischer ]
  * Bump Standards-Version to 3.9.8.

 -- Michael Fladischer <fladi@debian.org>  Fri, 20 May 2016 11:20:13 +0200

## pilkit 3.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PILKit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PILKit.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PILKit"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PILKit"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## pilkit 2.0

=== debian/changelog ===
pilkit (2.0-4) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

  [ Michael Fladischer ]
  * Add debian/gbp.conf.
  * Update year in d/copyright.
  * Bump Standards-Version to 4.6.0.1.
  * Set Rules-Requires-Root: no.
  * Use uscan version 4.
  * Clean up pilkit.egg-info/PKG-INFO to allow two builds in a row.
  * Enable upstream testsuite for autopkgtests.

 -- Michael Fladischer <fladi@debian.org>  Mon, 21 Feb 2022 08:51:01 +0000

pilkit (2.0-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Thu, 25 Jul 2019 19:35:20 +0200

pilkit (2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Andrey Rahmatullin ]
  * Fix a _format_to_extension test failure (Closes: #921898).

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sat, 23 Feb 2019 20:21:48 +0500

pilkit (2.0-1) unstable; urgency=low

  * Upload to unstable.
  * Bump Standards-Version to 4.0.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 18 Jul 2017 15:38:13 +0200

pilkit (2.0-1~exp1) experimental; urgency=low

  * New upstream release.
  * Use https:// for copyright-format 1.0 URL.
  * Upstream no longer ships non-free lenna.png and .pyc files, so there
    is no need to exclude them from the tarball.

 -- Michael Fladischer <fladi@debian.org>  Fri, 10 Mar 2017 09:22:11 +0100

=== debian/control ===
Source: pilkit
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-mock,
               python3-nose,
               python3-pil,
               python3-setuptools
Standards-Version: 4.6.0.1
Homepage: https://github.com/matthewwithanm/pilkit
Vcs-Browser: https://salsa.debian.org/python-team/packages/pilkit
Vcs-Git: https://salsa.debian.org/python-team/packages/pilkit.git
Rules-Requires-Root: no

Package: python3-pilkit
Architecture: all
Depends: python3-pil,
         ${misc:Depends},
         ${python3:Depends}
Description: Utilities and processors built for, and on top of PIL (Python3 version)
 PILKit is a collection of utilities for working with PIL (the Python Imaging
 Library). One of its main features is a set of processors which expose a simple
 interface for performing manipulations on PIL images.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=pilkit
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	cp debian/reference.png tests/assets/reference.png

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=s/\+dfsg$// \
https://pypi.debian.net/pilkit/pilkit-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pilkit 3.0

=== debian/changelog ===
pilkit (3.0-2) unstable; urgency=medium

  * Team upload
  * remove python3-mock dependency
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Wed, 10 Apr 2024 00:03:39 +0200

pilkit (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Drop patches, fixed by upstream.
  * Switch from nose to pytest for running tests.
  * Install testfiles using d/pybuild.testfiles.
  * Build using pybuild-plugin-pyproject.
  * Run wrap-and-sort -bast to reduce diff size of future changes.

 -- Michael Fladischer <fladi@debian.org>  Sat, 30 Sep 2023 21:26:33 +0000

pilkit (2.0-5) unstable; urgency=medium

  * Team upload

  [ Dan Bungert ]
  * Fix autopkgtest failure due to use of deprecated Image.ANTIALIAS
    (Closes: #1040633)

  [ Graham Inggs ]
  * Update year in debian/copyright
  * Bump Standards-Version to 4.6.2, no changes

 -- Graham Inggs <ginggs@debian.org>  Mon, 31 Jul 2023 09:40:14 +0000

=== debian/control ===
Source: pilkit
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pil,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.6.2
Homepage: https://github.com/matthewwithanm/pilkit
Vcs-Browser: https://salsa.debian.org/python-team/packages/pilkit
Vcs-Git: https://salsa.debian.org/python-team/packages/pilkit.git
Rules-Requires-Root: no

Package: python3-pilkit
Architecture: all
Depends:
 python3-pil,
 ${misc:Depends},
 ${python3:Depends},
Description: Utilities and processors built for, and on top of PIL (Python3 version)
 PILKit is a collection of utilities for working with PIL (the Python Imaging
 Library). One of its main features is a set of processors which expose a simple
 interface for performing manipulations on PIL images.
 .
 This package contains the Python 3 version of the library.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_NAME=pilkit
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	cp debian/reference.png tests/assets/reference.png
